ExplicitAppUserModelID needs to be synced for all app resources
There's a new way Win7 identifies apps for association. See the docs here -



I've added initial support in WinTaskbar for creating and assigning this for jump lists and assigning it to the process in nsWindow. However, we may need to add the id property to other items like shortcuts that get created. We'll likely need to expose this to other areas of the code and possibly to the  as well.
